#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir TclTk
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$MACHINE/BIN/ZCAT $BUILDDIR/zcat


cd $BUILDDIR/TclTk
cat $SOURCEDIR/TCLTK/TK36.GZ | $BUILDDIR/zcat -d -c | tar xvof -
cat $SOURCEDIR/TCLTK/TCL73.GZ | $BUILDDIR/zcat -d -c | tar xvof -
cd tcl7.3
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/TCLTK/RTR/TCL | patch -s -p )
test -f  $SOURCEDIR/TCLTK/$MACHINE/TCL &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/TCLTK/$MACHINE/TCL | patch -b .rtr -p -s )
configure -prefix=$INSTALLDIR
make
make test
if test "$RM" != "" ; then make install ; fi
cd $BUILDDIR/TclTk/tk3.6
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/TCLTK/TK1PATCH | patch -s -p )
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/TCLTK/RTR/TK | patch -s -p )
test -f  $SOURCEDIR/TCLTK/$MACHINE/TK &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/TCLTK/$MACHINE/TK | patch -b .rtr -p -s )
configure -prefix=$INSTALLDIR
make
make test
if test "$RM" != "" ; then make install ; fi
cd ..

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/TclTk ; fi
